<?php
/*
Plugin Name: Promo Box
Plugin URI: http://imarketersclub.net
Description: Boost your conversion with this powerful plugin
Author: iMarketersClub
Version: 1.0
Author URI: http://imarketersclub.net

*/
register_activation_hook(__FILE__,'promobox_install');
function promobox_install() {add_option('promobox_plugin','yes');}
function promobox_css(){
echo '
<link href="https://fonts.googleapis.com/css?family=Roboto:300,400" rel="stylesheet">';
}
add_action('wp_head', 'promobox_css');
function promobox_css_add(){
if(get_option('boxshadowbox')=='yes'){$shada='box-shadow:0px 0px 10px #'.get_option('shadowcolor').';'; $shadb='box-shadow:0px 0px 4px #'.get_option('shadowcolor').';';}else{$shada='';$shadb='';}
echo '<style type="text/css">

.promoboxshow{color:#'.get_option('warnateksbox').';font-size:14px !important;font-family: Roboto;top:0;left:0;right:0;display:block;position:fixed;margin:5% auto 0px auto;width:55%;min-width:800px;background:#'.get_option('latarbox').';border:'.get_option('bordertebal').'px '.get_option('borderbox').' #'.get_option('borderstbox').';'.$shada.'}
.promoboxshow a,.notiboxshow a{color:#'.get_option('warnalinkbox').';font-weight:700;}
.promoboxshow del,.notiboxshow del{color:#'.get_option('warnalistprice').'}
.promoboxshow span.price,.notiboxshow span.price{color:#'.get_option('warnaprice').'}
.notiboxshow{color:#'.get_option('warnateksbox').';font-family: Roboto;}
.notiboxshow a{text-decoration:underline}
.notiboxshowdalam{padding:0px 15px 15px 15px;margin:0px;background:#'.get_option('latarbox').';border:'.get_option('bordertebal').'px '.get_option('borderbox').' #'.get_option('borderstbox').';'.$shadb.'}
.promoboxshow p,.notiboxshow p{margin-right:0px !important;margin-left:0px !important}
@media screen and (max-width: 799px) {
.promoboxshow,.notiboxshow{display:none !important}
}
</style>
';
}
add_action('wp_footer', 'promobox_css_add');
define( 'MYPLUGINNAME_PATH', plugin_dir_path(__FILE__) );
function promobox_foot(){include (MYPLUGINNAME_PATH . 'inc.php');}
add_action('wp_footer', 'promobox_foot');
?>
<?php    
register_deactivation_hook( __FILE__, 'promobox_plugin_remove' );
function promobox_plugin_remove() {
delete_option('promobox_plugin');
}
function kotak_dialog_promobox() {
    $args = array(
        'public' => true,
        'label' => 'Promobox',
        'supports' => array(
            'title',
            'editor',
            'thumbnail',
            'custom-fields'
        )
    );
    register_post_type('promobox', $args);
}
 
add_action('init', 'kotak_dialog_promobox');
function promobox_cf($post_id) {
    if ( $_GET['post_type'] == 'promobox' ) { 
        add_post_meta($post_id, 'link', '', true);
    }
    return true;
}
add_action('wp_insert_post', 'promobox_cf');
add_filter( 'template_include', 'include_template_promobox', 1 );
function include_template_promobox( $template_path ) {
    if ( get_post_type() == 'promobox' ) {
        if ( is_single() ) {
            // checks if the file exists in the theme first,
            // otherwise serve the file from the plugin
            if ( $theme_file = locate_template( array ( 'promoboxpost.php' ) ) ) {
                $template_path = $theme_file;
            } else {
                $template_path = plugin_dir_path( __FILE__ ) . '/promoboxpost.php';
            }
        }
    }
    return $template_path;
}



add_action('admin_menu', 'promobox_plugin_create_menu');
function promobox_plugin_create_menu() {
add_menu_page('Promo Box Plugin Settings', 'PromoBox', 'administrator',__FILE__,'promobox_plugin_settings_page');
add_action( 'admin_init', 'register_promobox_plugin_settings' );
}
function register_promobox_plugin_settings() {
//register our settings
register_setting( 'promobox_plugin', 'content' );
register_setting( 'promobox_plugin', 'aff' );
register_setting( 'promobox_plugin', 'amztitle' );
register_setting( 'promobox_plugin', 'cat' );
register_setting( 'promobox_plugin', 'promotitle' );
register_setting( 'promobox_plugin', 'promoshow' );
register_setting( 'promobox_plugin', 'lamabox' );
register_setting( 'promobox_plugin', 'efekbox' );
register_setting( 'promobox_plugin', 'boxshow' );
register_setting( 'promobox_plugin', 'posisi' );
register_setting( 'promobox_plugin', 'ngarep' );
register_setting( 'promobox_plugin', 'singgel' );
register_setting( 'promobox_plugin', 'hal' );
register_setting( 'promobox_plugin', 'arsip' );
register_setting( 'promobox_plugin', 'latarbox' );
register_setting( 'promobox_plugin', 'borderstbox' );
register_setting( 'promobox_plugin', 'borderbox' );
register_setting( 'promobox_plugin', 'bordertebal' );
register_setting( 'promobox_plugin', 'boxshadowbox' );
register_setting( 'promobox_plugin', 'shadowcolor' );
register_setting( 'promobox_plugin', 'warnajudulbox' );
register_setting( 'promobox_plugin', 'warnateksbox' );
register_setting( 'promobox_plugin', 'warnalinkbox' );
register_setting( 'promobox_plugin', 'warnalistprice' );
register_setting( 'promobox_plugin', 'warnaprice' );
register_setting( 'promobox_plugin', 'addtocarttombol' );
register_setting( 'promobox_plugin', 'warnabgtombol' );
register_setting( 'promobox_plugin', 'warnatombol' );
register_setting( 'promobox_plugin', 'tombolbox' );
}
function promobox_plugin_settings_page() {
?>
<style type="text/css" media="all">
  .wrap{width:500px;margin:20px;float:left}
  .mainwrap{display:block;padding:10px;background:#ffffff;box-shadow:0px 0px 5px #cccccc;margin:10px 0px;}
  .kiri{width:38%;float:left;margin:10px 2% 10px 0px;}
  .kanan{width:58%;float:left;margin:10px 0px 10px 2%}
  .kanan input,.kanan select{width:100%;margin:0;height:30px;border-radius:3px;border:1px solid #cccccc;font-size:12px;padding:5px}
  .mainwrap h3{text-align:center;margin:0px auto 10px auto;padding:10px;display:block;color:#ffffff;background:#0073aa;font-weight:300;font-size:14px}
 .submit {float:left;margin:10px;}
</style>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.0/jquery.min.js"></script>
<script type="text/javascript">
$(function() {
  $("#content").change(function() {
    if ($(".goldbox").is(":selected")) {
      $("#goldbox").show();
      $("#promo").hide();
    } 
	else {
      $("#goldbox").hide();
      $("#promo").show();
    }	
  }).trigger('change');
});
</script>

<script type="text/javascript">
$(function() {
  $("#boxshow").change(function() {
    if ($(".poptampil").is(":selected")) {
      $("#ttttt").hide();
    } 
	else {
      $("#ttttt").show();
    }	
  }).trigger('change');
});
</script>

<h2 style="font-size:25px">Promo Box Settings</h2>
<form method="post" action="options.php">
<?php settings_fields( 'promobox_plugin' ); ?>
<div class="wrap">
<div class="mainwrap">
<h3>General Option</h3>    
<div class="kiri">Content to show</div>
<div class="kanan">
<select id="content" name="content">
<option class="goldbox" value="goldbox" <?php if (get_option('content')=="goldbox"){echo "selected";}?>>Amazon Deals</option>
<option class="promo" value="promo" <?php if (get_option('content')=="promo"){echo "selected";}?>>PromoBox Content</option>
</select>
</div><br style="clear:both">
</div>


<div class="mainwrap" id="goldbox">
<h3>Amazon Option</h3>    
<div class="kiri">Amazon.com Tracking ID</div>
<div class="kanan"><input type="text" name="aff" placeholder="trackid-20" value="<?php echo get_option('aff'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Title</div>
<div class="kanan"><input type="text" name="amztitle" placeholder="Deal's of The Day" value="<?php echo get_option('amztitle'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Deals Category</div>
<div class="kanan">
<select id="cat" name="cat">
<option value="2617941011" <?php if (get_option('cat')=="2617941011"){echo "selected";}?>>Arts, Crafts and Sewing</option>
<option value="15684181" <?php if (get_option('cat')=="15684181"){echo "selected";}?>>Automotive and Motorcycle</option>
<option value="165796011" <?php if (get_option('cat')=="165796011"){echo "selected";}?>>Baby</option>
<option value="7147444011" <?php if (get_option('cat')=="7147444011"){echo "selected";}?>>Baby Clothing and Accessories</option>
<option value="3760911" <?php if (get_option('cat')=="3760911"){echo "selected";}?>>Beauty</option>
<option value="283155" <?php if (get_option('cat')=="283155"){echo "selected";}?>>Books</option>
<option value="7147443011" <?php if (get_option('cat')=="7147443011"){echo "selected";}?>>Boys’ Fashion</option>
<option value="502394" <?php if (get_option('cat')=="502394"){echo "selected";}?>>Camera and Photo</option>
<option value="2335752011" <?php if (get_option('cat')=="2335752011"){echo "selected";}?>>Cell Phones and Accessories</option>
<option value="4991425011" <?php if (get_option('cat')=="4991425011"){echo "selected";}?>>Collectibles and Fine Art</option>
<option value="541966" <?php if (get_option('cat')=="541966"){echo "selected";}?>>Computers and Accessories</option>
<option value="7586165011" <?php if (get_option('cat')=="7586165011"){echo "selected";}?>>Costumes and Accessories</option>
<option value="1233514011" <?php if (get_option('cat')=="1233514011"){echo "selected";}?>>Digital Software</option>
<option value="228013" <?php if (get_option('cat')=="228013"){echo "selected";}?>>DIY and Tools</option>
<option value="2625373011" <?php if (get_option('cat')=="2625373011"){echo "selected";}?>>DVD and Blu-ray</option>
<option value="172282" <?php if (get_option('cat')=="172282"){echo "selected";}?>>Electronics</option>
<option value="1063306" <?php if (get_option('cat')=="1063306"){echo "selected";}?>>Furniture</option>
<option value="7147442011" <?php if (get_option('cat')=="7147442011"){echo "selected";}?>>Girls’ Fashion</option>
<option value="3370831" <?php if (get_option('cat')=="3370831"){echo "selected";}?>>Gourmet Food</option>
<option value="16310101" <?php if (get_option('cat')=="16310101"){echo "selected";}?>>Grocery</option>
<option value="3760901" <?php if (get_option('cat')=="3760901"){echo "selected";}?>>Health and Personal Care</option>
<option value="1055398" <?php if (get_option('cat')=="1055398"){echo "selected";}?>>Home</option>
<option value="16310091" <?php if (get_option('cat')=="16310091"){echo "selected";}?>>Industrial and Scientific</option>
<option value="133140011" <?php if (get_option('cat')=="133140011"){echo "selected";}?>>Kindle</option>
<option value="154606011" <?php if (get_option('cat')=="154606011"){echo "selected";}?>>Kindle eBooks</option>
<option value="284507" <?php if (get_option('cat')=="284507"){echo "selected";}?>>Kitchen</option>
<option value="9479199011" <?php if (get_option('cat')=="9479199011"){echo "selected";}?>>Luggage Travel Gear</option>
<option value="7175545011" <?php if (get_option('cat')=="7175545011"){echo "selected";}?>>Luxury Beauty</option>
<option value="599858" <?php if (get_option('cat')=="599858"){echo "selected";}?>>Magazines</option>
<option value="2619525011" <?php if (get_option('cat')=="2619525011"){echo "selected";}?>>Major Appliances</option>
<option value="6682399011" <?php if (get_option('cat')=="6682399011"){echo "selected";}?>>Men's Grooming</option>
<option value="679255011" <?php if (get_option('cat')=="679255011"){echo "selected";}?>>Men's Shoes</option>
<option value="6358539011" <?php if (get_option('cat')=="6358539011"){echo "selected";}?>>Men's Watches</option>
<option value="1040658" <?php if (get_option('cat')=="1040658"){echo "selected";}?>>Men’s Clothing</option>
<option value="7147441011" <?php if (get_option('cat')=="7147441011"){echo "selected";}?>>Men’s Fashion</option>
<option value="11091801" <?php if (get_option('cat')=="11091801"){echo "selected";}?>>Musical Instruments</option>
<option value="1064954" <?php if (get_option('cat')=="1064954"){echo "selected";}?>>Office Electronics and Supplies</option>
<option value="2972638011" <?php if (get_option('cat')=="2972638011"){echo "selected";}?>>Patio, Lawn and Garden</option>
<option value="468642" <?php if (get_option('cat')=="468642"){echo "selected";}?>>PC and Video Games</option>
<option value="2619533011" <?php if (get_option('cat')=="2619533011"){echo "selected";}?>>Pet Supplies</option>
<option value="328182011" <?php if (get_option('cat')=="328182011"){echo "selected";}?>>Power and Hand Tools</option>
<option value="301185" <?php if (get_option('cat')=="301185"){echo "selected";}?>>Sat Nav, Phones and PDAs</option>
<option value="229534" <?php if (get_option('cat')=="229534"){echo "selected";}?>>Software</option>
<option value="3375251" <?php if (get_option('cat')=="3375251"){echo "selected";}?>>Sports and Outdoors</option>
<option value="165793011" <?php if (get_option('cat')=="165793011"){echo "selected";}?>>Toys and Games</option>
<option value="679337011" <?php if (get_option('cat')=="679337011"){echo "selected";}?>>Women's Shoes</option>
<option value="6358543011" <?php if (get_option('cat')=="6358543011"){echo "selected";}?>>Women's Watches</option>
<option value="1040660" <?php if (get_option('cat')=="1040660"){echo "selected";}?>>Women’s Clothing</option>
<option value="7147440011" <?php if (get_option('cat')=="7147440011"){echo "selected";}?>>Women’s Fashion</option>
<option value="7192394011" <?php if (get_option('cat')=="7192394011"){echo "selected";}?>>Women’s Jewelry</option>
<option value="10272111" <?php if (get_option('cat')=="10272111"){echo "selected";}?>>Everything Else</option>      
</select>
</div><br style="clear:both">
</div>

<div class="mainwrap" id="promo">
<h3>Promobox Option</h3>    
<div class="kiri">Title</div>
<div class="kanan"><input type="text" name="promotitle" placeholder="Hot Deals" value="<?php echo get_option('promotitle'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Short Posts</div>
<div class="kanan">
<select id="promoshow" name="promoshow">
<option value="latest" <?php if (get_option('promoshow')=="latest"){echo "selected";}?>>Latest Posts</option>
<option value="random" <?php if (get_option('promoshow')=="random"){echo "selected";}?>>Random Posts</option>
</select>
</div><br style="clear:both">
</div>

<div class="mainwrap">
<h3>Box Option</h3>    
<div class="kiri">Show After (seconds)</div>
<div class="kanan"><input type="text" name="lamabox" placeholder="5" value="<?php echo get_option('lamabox'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Animated Effect</div>
<div class="kanan">
<select id="efekbox" name="efekbox">
<option value='blind' <?php if (get_option('efekbox')=="blind"){echo "selected";}?>>blind</option>
<option value='bounce", { times: 3 }, "slow' <?php if (get_option('efekbox')=='bounce", { times: 3 }, "slow'){echo "selected";}?>>bounce</option>
<option value='clip' <?php if (get_option('efekbox')=="clip"){echo "selected";}?>>clip</option>
<option value='drop' <?php if (get_option('efekbox')=="drop"){echo "selected";}?>>drop</option>
<option value='explode' <?php if (get_option('efekbox')=="explode"){echo "selected";}?>>explode</option>
<option value='fade' <?php if (get_option('efekbox')=="fade"){echo "selected";}?>>fade</option>
<option value='fold' <?php if (get_option('efekbox')=="fold"){echo "selected";}?>>fold</option>
<option value='puff' <?php if (get_option('efekbox')=="puff"){echo "selected";}?>>puff</option>
<option value='pulsate' <?php if (get_option('efekbox')=="pulsate"){echo "selected";}?>>pulsate</option>
<option value='scale' <?php if (get_option('efekbox')=="scale"){echo "selected";}?>>scale</option>
<option value='shake' <?php if (get_option('efekbox')=="shake"){echo "selected";}?>>shake</option>
<option value='side' <?php if (get_option('efekbox')=="side"){echo "selected";}?>>side</option>
</select>
</div><br style="clear:both">
<div class="kiri">Content to Show</div>
<div class="kanan">
<select id="boxshow" name="boxshow">
<option class="poptampil" value="popup" <?php if (get_option('boxshow')=="popup"){echo "selected";}?>>Popup</option>
<option class="notitampil" value="notibox" <?php if (get_option('boxshow')=="notibox"){echo "selected";}?>>Notification Box</option>
<option class="poptampil" value="popupsingle" <?php if (get_option('boxshow')=="popupsingle"){echo "selected";}?>>Popup Single Product</option>
<option class="notitampil" value="notiboxsingle" <?php if (get_option('boxshow')=="notiboxsingle"){echo "selected";}?>>Notification Box Single Product</option>
</select>
</div><br style="clear:both">
<div id="ttttt">
<div class="kiri">Position</div>
<div class="kanan"><select id="posisi" name="posisi">
<option value="top-right"  <?php if (get_option('posisi')=="top-right"){echo "selected";}?>>top right</option>
<option value="top-left" <?php if (get_option('posisi')=="top-left"){echo "selected";}?>>top left</option>
<option value="top-center" <?php if (get_option('posisi')=="top-center"){echo "selected";}?>>top center</option>
<option value="bottom-right"  <?php if (get_option('posisi')=="bottom-right"){echo "selected";}?>>bottom right</option>
<option value="bottom-left" <?php if (get_option('posisi')=="bottom-left"){echo "selected";}?>>bottom left</option>
<option value="bottom-center" <?php if (get_option('posisi')=="bottom-center"){echo "selected";}?>>bottom center</option>
</select>
</div>
</div><br style="clear:both">
</div>
<div class="mainwrap">
<h3>Show PromoBox On</h3>
<div class="kiri">homepage</div>
<div class="kanan"><select id="ngarep" name="ngarep">
<option value="yes"  <?php if (get_option('ngarep')=="yes"){echo "selected";}?>>Yes</option>
<option value="no" <?php if (get_option('ngarep')=="no"){echo "selected";}?>>No</option>
</select></div><br style="clear:both">
<div class="kiri">single post</div>
<div class="kanan"><select id="singgel" name="singgel">
<option value="yes"  <?php if (get_option('singgel')=="yes"){echo "selected";}?>>Yes</option>
<option value="no" <?php if (get_option('singgel')=="no"){echo "selected";}?>>No</option>
</select></div><br style="clear:both">
<div class="kiri">page</div>
<div class="kanan"><select id="hal" name="hal">
<option value="yes"  <?php if (get_option('hal')=="yes"){echo "selected";}?>>Yes</option>
<option value="no" <?php if (get_option('hal')=="no"){echo "selected";}?>>No</option>
</select></div><br style="clear:both">
<div class="kiri">archive page</div>
<div class="kanan"><select id="arsip" name="arsip">
<option value="yes"  <?php if (get_option('arsip')=="yes"){echo "selected";}?>>Yes</option>
<option value="no" <?php if (get_option('arsip')=="no"){echo "selected";}?>>No</option>
</select></div><br style="clear:both">
</div> 
<br style="clear:both">
</div>
<div class="wrap">
<div class="mainwrap">
<?php wp_enqueue_script('my_script', plugins_url( 'jscolor.js' , __FILE__ )); ?> 
<h3>Box Color Option</h3>    
<div class="kiri">Background Color</div>
<div class="kanan"><input name="latarbox" id="latarbox" class="color" value="<?php echo get_option('latarbox'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Border Color</div>
<div class="kanan"><input name="borderstbox" id="borderstbox" class="color" value="<?php echo get_option('borderstbox'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Border Style</div>
<div class="kanan"><select id="borderbox" name="borderbox">
<option value="none"  <?php if (get_option('borderbox')=="none"){echo "selected";}?>>none</option>
<option value="dotted" <?php if (get_option('borderbox')=="dotted"){echo "selected";}?>>dotted</option>
<option value="dashed"  <?php if (get_option('borderbox')=="dashed"){echo "selected";}?>>dashed</option>
<option value="solid" <?php if (get_option('borderbox')=="solid"){echo "selected";}?>>solid</option>
</select></div>
<br style="clear:both">
<div class="kiri">Border Size (px)</div>
<div class="kanan"><input name="bordertebal" id="bordertebal" value="<?php echo get_option('bordertebal'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Show Box Shadow</div>
<div class="kanan"><select id="boxshadowbox" name="boxshadowbox">
<option value="yes"  <?php if (get_option('boxshadowbox')=="yes"){echo "selected";}?>>Yes</option>
<option value="no" <?php if (get_option('boxshadowbox')=="no"){echo "selected";}?>>No</option>
</select></div>
<div class="kiri">Shadow Color</div>
<div class="kanan"><input name="shadowcolor" id="shadowcolor" class="color" value="<?php echo get_option('shadowcolor'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Title Color</div>
<div class="kanan"><input name="warnajudulbox" id="warnajudulbox" class="color" value="<?php echo get_option('warnajudulbox'); ?>" /></div>
<br style="clear:both">
</div>
<div class="mainwrap">
<?php wp_enqueue_script('my_script', plugins_url( 'jscolor.js' , __FILE__ )); ?> 
<h3>Content Color Option</h3>
<div class="kiri">Teks Color</div>
<div class="kanan"><input name="warnateksbox" id="warnateksbox" class="color" value="<?php echo get_option('warnateksbox'); ?>" /></div>
<br style="clear:both">    
<div class="kiri">Link Color</div>
<div class="kanan"><input name="warnalinkbox" id="warnalinkbox" class="color" value="<?php echo get_option('warnalinkbox'); ?>" /></div>
<br style="clear:both">
<div class="kiri">List Price Color</div>
<div class="kanan"><input name="warnalistprice" id="warnalistprice" class="color" value="<?php echo get_option('warnalistprice'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Price Color</div>
<div class="kanan"><input name="warnaprice" id="warnaprice" class="color" value="<?php echo get_option('warnaprice'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Add to cart Button</div>
<div class="kanan"><input name="addtocarttombol" id="addtocarttombol" placeholder="Add to cart" value="<?php echo get_option('addtocarttombol'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Background Button</div>
<div class="kanan"><input name="warnabgtombol" id="warnabgtombol" class="color" value="<?php echo get_option('warnabgtombol'); ?>" /></div>
<br style="clear:both">
<div class="kiri">Button Color</div>
<div class="kanan"><input name="warnatombol" id="warnatombol" class="color" value="<?php echo get_option('warnatombol'); ?>" /></div>
<br style="clear:both">
</div>  
<div style="clear:both"></div>
<p class="submit">
<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
</p>

</form>
</div>
<div style="clear:both"></div>
<?php } ?>